Draft Offset: Difference between revisions

From FreeCAD Documentation
No edit summary
Line 25: Line 25:
The Offset tool can by used in [[macros]] and from the python console by using the following function:
The Offset tool can by used in [[macros]] and from the python console by using the following function:


'''offset (object,Vector,[copymode],[bind])''': Offsets the given wire by applying the given Vector to its first vertex.
'''offset (object,Vector,[copymode],[bind],[sym])''': Offsets the given wire by applying the given Vector to its first vertex.
If copymode is True, another object is created, otherwise the same object gets offsetted. If bind is True, and provided
If copymode is True, another object is created, otherwise the same object gets offsetted. If bind is True, and provided
the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face. If sym is True,
the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face. If sym is True,

Revision as of 21:49, 19 August 2012

Draft Offset

Menu location
Draft -> Offset
Workbenches
Draft, Arch
Default shortcut
O S
Introduced in version
-
See also
None

Description

The Offset tool offsets the selected object by a given distance on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to offset
  2. Press the Draft Offset button, or press O then S keys
  3. Click a point on the 3D view, or type a distance.

Options

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym]): Offsets the given wire by applying the given Vector to its first vertex. 
If copymode is True, another object is created, otherwise the same object gets offsetted. If bind is True, and provided 
the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face. If sym is True, 
bind must be true too, and the offset is made on both sides, the total width being the length of the given vector. Returns
the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
Available translations of this page: Template:Se